/*
 * @Date: 2021-06-30 14:29:56
 * @LastEditors: JinxChen
 * @LastEditTime: 2023-02-25 10:44:01
 * @FilePath: \TelpoH5FrontendWeb\src\api\wx.js
 * @description: 功能
 */
import request from '@/http/webapi';


const APIWx = {
    createJSSDK,
    checkIsNewCustomer, //获取微信用户是否首次关注,即是否是新用户
    ocr, //ocr识别
    Effective, //激活接口
    GetCardInfo,
    LckjGetOrderPackageShow,
    CheckImei,
}
export default APIWx;
function createJSSDK({ userId, sUrl, appId }) {
    return request({
        url: '/api/WX/CreateJsSdk',
        method: 'get',
        params: { userId, sUrl, appId },
    })
}
function checkIsNewCustomer(params) {
    return request({
        url: '/api/User/getOpenId',
        method: 'post',
        headers: { AuthKey: 'key1' },
        data: params,
    })
}

function ocr(params) {
    return request({
        url: '/api/WX/ocr',
        method: 'post',
        headers: { AuthKey: 'key1' },
        data: params,
    })
}
// 中亿SIM自动激活接口
function Effective(params) {
    return request({
        url: '/api/Command/Effective',
        method: 'post',
        data: params,
    });
}
//获取物联网卡信息
function GetCardInfo(params) {
    return request({
        url: '/api/Command/GetCardInfo',
        method: 'post',
        data: params,
    });
}
// 随手精灵(查询零川物联卡加油包已订购套餐)
function LckjGetOrderPackageShow({ iccid, imei }){
    return request({
        url: '/api/IOTCard/LckjGetOrderPackageShow',
        method: 'get',
        params: { iccid, imei}
    })
}
 //检查imei属于哪家厂商
 function CheckImei(params) {
    return request({
        url: '/api/Command/CheckImei',
        method: 'post',
        data: params,
    });
}